// BasePropertyPage.cpp : implementation file
//

#include "stdafx.h"
#include "sutra.h"
#include "BasePropertyPage.h"
#include "sutra_pie.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBasePropertyPage property page

IMPLEMENT_DYNCREATE(CBasePropertyPage, CPropertyPage)

CBasePropertyPage::CBasePropertyPage() : CPropertyPage((unsigned int)0)
{
}

CBasePropertyPage::CBasePropertyPage(UINT nIDTemplate, UINT nIDCaption) : CPropertyPage(nIDTemplate, nIDCaption)
{
}

CBasePropertyPage::~CBasePropertyPage()
{
}

void CBasePropertyPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBasePropertyPage)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBasePropertyPage, CPropertyPage)
	//{{AFX_MSG_MAP(CBasePropertyPage)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBasePropertyPage message handlers





	void CBasePropertyPage::EnableControls(UINT* pControls, UINT cControls, BOOL fVisible)
	{
    for (UINT uIndex = 0; uIndex < cControls; uIndex++)
    {
        CWnd* pwnd = GetDlgItem(pControls[uIndex]);
        if (pwnd)
        {
            pwnd->EnableWindow(fVisible);
        }
    }
	}

	void CBasePropertyPage::ReplaceIni(UINT* pControls, UINT cControls)
	{
		static const TCHAR szComboBox[] = _T("combobox");

    for (UINT uIndex = 0; uIndex < cControls; uIndex++)
    {
        CWnd* pwnd = GetDlgItem(pControls[uIndex]);
        if (pwnd)
        {
					CString wndText;
					pwnd->GetWindowText(wndText);

					GUtil::ReplaceIni(wndText);

					pwnd->SetWindowText(wndText);

					TCHAR szCompare[SIZEOF_ARRAY(szComboBox)+1];
					::GetClassName(pwnd->m_hWnd, szCompare, SIZEOF_ARRAY(szCompare));
					if (lstrcmpi(szCompare, szComboBox) == 0)
					{
						CComboBox* combo = (CComboBox*)pwnd;

						int savedSelection = combo->GetCurSel();
						int numItems = combo->GetCount();
						for (int itemIndex = 0; itemIndex < numItems; itemIndex++)
						{
							CString itemText;
							combo->GetLBText(itemIndex, itemText);
							GUtil::ReplaceIni(itemText);
							combo->InsertString(itemIndex, itemText);
							combo->DeleteString(itemIndex+1);
						}
						combo->SetCurSel(savedSelection);
					}
        }
    }
	}


