// Pane4.cpp : implementation file
//

#include "stdafx.h"
#include "sutra.h"
#include "Pane4.h"
#include "TabbedDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPane4 property page
static UINT staticTextToModify[] = { IDC_KBUDG, IDC_KELMNT };


IMPLEMENT_DYNCREATE(CPane4, CBasePropertyPage)

CPane4::CPane4() : CBasePropertyPage(CPane4::IDD)
{
	//{{AFX_DATA_INIT(CPane4)
	m_KBUDG = FALSE;
	m_KELMNT = FALSE;
	m_KINCID = FALSE;
	m_KNODAL = FALSE;
	m_KVEL = FALSE;
	m_NPRINT = 0;
	m_NOBCYC = 0;
	m_ISTORE = 0;
	//}}AFX_DATA_INIT
}

CPane4::~CPane4()
{
}

void CPane4::DoDataExchange(CDataExchange* pDX)
{
	CBasePropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPane4)
	DDX_Check(pDX, IDC_KBUDG, m_KBUDG);
	DDX_Check(pDX, IDC_KELMNT, m_KELMNT);
	DDX_Check(pDX, IDC_KINCID, m_KINCID);
	DDX_Check(pDX, IDC_KNODAL, m_KNODAL);
	DDX_Check(pDX, IDC_KVEL, m_KVEL);
	DDX_Text(pDX, IDC_NPRINT, m_NPRINT);
	DDX_Text(pDX, IDC_NOBCYC, m_NOBCYC);
	DDX_Text(pDX, IDC_ISTORE, m_ISTORE);
	//}}AFX_DATA_MAP

	CTabbedDialog* tabbedDialog = (CTabbedDialog*)this->GetParent();
	tabbedDialog->m_SimulationHasOutput = FALSE;
	tabbedDialog->m_SimulationPlotsP = FALSE;
	tabbedDialog->m_SimulationPlotsU = FALSE;

	
}


BEGIN_MESSAGE_MAP(CPane4, CBasePropertyPage)
	//{{AFX_MSG_MAP(CPane4)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPane4 message handlers

void CPane4::ReturnValues(SUTRAProjectInfo &info)
{
	info.KBUDG = m_KBUDG;
	info.KELMNT = m_KELMNT;
	info.KINCID = m_KINCID;
	info.KNODAL = m_KNODAL;
	info.KVEL = m_KVEL;
	info.NPRINT = m_NPRINT;
	info.NOBCYC = m_NOBCYC;
	info.ISTORE = m_ISTORE;
}

void CPane4::GetValues(SUTRAProjectInfo &info)
{
	m_KBUDG = info.KBUDG;
	m_KELMNT = info.KELMNT;
	m_KINCID = info.KINCID;
	m_KNODAL = info.KNODAL;
	m_KVEL = info.KVEL;
	m_NPRINT = info.NPRINT;
	m_NOBCYC = info.NOBCYC;
	m_ISTORE = info.ISTORE;
}

BOOL CPane4::OnSetActive() 
{
	// TODO: Add your specialized code here and/or call the base class
	this->ReplaceIni(staticTextToModify, SIZEOF_ARRAY(staticTextToModify));

	return CBasePropertyPage::OnSetActive();
}
