// SelectPostProcDialog.h : header file
//


class PeriodsInfo;

/////////////////////////////////////////////////////////////////////////////
// CSelectPostProcDialog dialog

class CSelectPostProcDialog : public CDialog
{
// Construction
public:
	CSelectPostProcDialog(PeriodsInfo* periodsInfo, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSelectPostProcDialog)
	enum { IDD = IDD_SELECPOSTPROC };
	CListCtrl	m_StepsList;
	BOOL	m_overlayCharts;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSelectPostProcDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void FillListBox();
	void SetListItemCell(int row, int col);
		// use the information in m_periodsInfo to redraw the list
	void ToggleItemCell(int row, int col);
		// toggle the information in m_periodsInfo for a cell, if applicable,
		// and also call SetListItemCell
	
	// Generated message map functions
	//{{AFX_MSG(CSelectPostProcDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnClickStepslist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnColumnclickStepslist(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CImageList m_StateImageList;
	PeriodsInfo* m_periodsInfo;
};


