// Pane5.cpp : implementation file
//

#include "stdafx.h"
#include "sutra.h"
#include "Pane5.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPane5 property page


static UINT staticTextToModify[] = { IDC_RPMAX_TITLE};

IMPLEMENT_DYNCREATE(CPane5, CBasePropertyPage)

CPane5::CPane5() : CBasePropertyPage(CPane5::IDD)
{
	//{{AFX_DATA_INIT(CPane5)
	m_ITERMAX1 = -1;
	m_ITRMAX = 0;
	m_RPMAX = 0.0;
	m_RUMAX = 0.0;
	//}}AFX_DATA_INIT
}

CPane5::~CPane5()
{
}

void CPane5::DoDataExchange(CDataExchange* pDX)
{
	CBasePropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPane5)
	DDX_Control(pDX, IDC_RUMAX, m_RUMAXEdit);
	DDX_Control(pDX, IDC_RPMAX, m_RPMAXEdit);
	DDX_Control(pDX, IDC_ITRMAX, m_ITRMAXEdit);
	DDX_Control(pDX, IDC_ITERMAX1, m_NonIteratveButton);
	DDX_Radio(pDX, IDC_ITERMAX1, m_ITERMAX1);
	DDX_Text(pDX, IDC_ITRMAX, m_ITRMAX);
	DDX_Text(pDX, IDC_RPMAX, m_RPMAX);
	DDX_Text(pDX, IDC_RUMAX, m_RUMAX);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPane5, CBasePropertyPage)
	//{{AFX_MSG_MAP(CPane5)
	ON_BN_CLICKED(IDC_ITERMAX1, OnItermax1)
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_ITERATIVE, OnItermax1)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPane5 message handlers

void CPane5::ReturnValues(SUTRAProjectInfo &info)
{
	if (m_ITERMAX1 == 0)
		info.ITRMAX = 1;
	else
		info.ITRMAX = m_ITRMAX;

	info.RPMAX = m_RPMAX;
	info.RUMAX = m_RUMAX;
}

void CPane5::GetValues(SUTRAProjectInfo &info)
{
	m_ITRMAX = info.ITRMAX;
	if (m_ITRMAX == 1)
		m_ITERMAX1 = 0;
	else
		m_ITERMAX1 = 1;

	m_RPMAX = info.RPMAX;
	m_RUMAX = info.RUMAX;
}

void CPane5::OnItermax1() 
{
	
	BOOL enableFields = !m_NonIteratveButton.GetCheck();

	m_RUMAXEdit.EnableWindow(enableFields);
	m_RPMAXEdit.EnableWindow(enableFields);
	m_ITRMAXEdit.EnableWindow(enableFields);
}

BOOL CPane5::OnSetActive() 
{
	BOOL enableFields = !m_NonIteratveButton.GetCheck();
	m_RUMAXEdit.EnableWindow(enableFields);
	m_RPMAXEdit.EnableWindow(enableFields);
	m_ITRMAXEdit.EnableWindow(enableFields);
	
	this->ReplaceIni(staticTextToModify, SIZEOF_ARRAY(staticTextToModify));

	return CBasePropertyPage::OnSetActive();
}
