// TabbedDialog.cpp : implementation file
//

#include "stdafx.h"
#include "sutra.h"
#include "TabbedDialog.h"
#include "ANECB.H"
#include "sutra_pie.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif



/////////////////////////////////////////////////////////////////////////////
// CTabbedDialog

IMPLEMENT_DYNAMIC(CTabbedDialog, CPropertySheet)

CTabbedDialog::CTabbedDialog(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
	EnableStackedTabs(TRUE);			// enable multiline tabs in window
	m_psh.dwFlags |= PSH_NOAPPLYNOW;	// remove 'Apply Now' button
}

CTabbedDialog::CTabbedDialog(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
	EnableStackedTabs(TRUE);			// enable multiline tabs in window
	m_psh.dwFlags |= PSH_NOAPPLYNOW;	// remove 'Apply Now' button
}

CTabbedDialog::~CTabbedDialog()
{
}


BEGIN_MESSAGE_MAP(CTabbedDialog, CPropertySheet)
	//{{AFX_MSG_MAP(CTabbedDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTabbedDialog message handlers


BOOL CTabbedDialog::ContinueModal() 
{
	GUtil::ProcessEvents();
	return CPropertySheet::ContinueModal();
}


BOOL CTabbedDialog::OnInitDialog() 
{
	// TODO: Add your specialized code here and/or call the base class

	//
	// call inherited OnInitDialog

	BOOL reply = CPropertySheet::OnInitDialog();

	//
	// make tabs fixed width

//	HWND hWndTab = (HWND)SendMessage(PSM_GETTABCONTROL);
//	if (hWndTab != NULL)
//		CWnd::ModifyStyle(hWndTab, 0, TCS_FIXEDWIDTH, 0);

	//
	// make tabs 32 pixels wide

//	CTabCtrl* tabCtrl = this->GetTabControl();

//	RECT rect;
//	tabCtrl->GetItemRect(0, &rect);

//	CSize size;

//	size.cx = 35;							// wanted width
//	size.cy = abs(rect.top-rect.bottom);

//	tabCtrl->SetItemSize(size);

	//
	// return inherited reply

	return reply;
}
